Subject: Re: Port to R3000 Indigo

From: Alan Hoyt <[email-masked]>
Date: Tue, 30 Mar 1999 19:25:05 -0500

Ariel Faigon wrote:

> I believe this was referred to by Bill Earl in an earlier post.
> Clearly, this needs further explanation.
>
> Since the interfaces with SGI proprietary hardware were never meant
> to be public, the only documentation you can really rely on to be
> accurate and reliable is the (working) IRIX source code.  We would
really
> like to avoid publishing material that's incomplete, outdated, and
> turns out to be more confusing than it is worth.
>
> Now, if it were entirely in my hands, I would have gladly published
> some source code.  The problem is much more complex than that.  The
> IRIX source code includes licensed code from many external commercial
> sources, AT&T SVR4, Sun, Xerox, etc. each surrounded by its own
complex
> licensing terms, so the lawyers need to look into this lest SGI
> becomes liable by just making some "innocent goodwill" happen.
>
> I know it sounds lame, and I as much as anyone, hate this, but
> this is reality, and it isn't simple as it may appear to some.
> It requires a lot of legal (inspection and clearance) + engineering
> (sanitize and clean up code) time which I'm not sure we can afford
> on a global scale.
>
> The good news is that SGI is clearly putting much more emphasis
> these days on developing hardware that is much more standard
> and opening more and more source code (after legal has looked into
> it and approved it).  Everything we have been doing in the past
> year on the Linux front makes this clear that this is where we're
> going.  I would like to request a bit of patience and support...
> You are preaching to the choir here.
>
> --
> Peace, Ariel

One last question:

I have an old Indigo and Indigo 2 - I am very interested and very
serious about
porting Linux to one of these systems.  However, without detailed
hardware specs.
a very difficult job becomes much much harder.  Can you throw a dog a
bone?  Are
there any hardware specs. (NOT source code) that you are willing and/or
capable
of providing at this time to get the ball rolling - without further
delays
perpetrated by your legal department?

Thanks

 - Alan Hoyt -

---

From: "Mark A. Zottola" <[email-masked]>
Date: Tue, 30 Mar 1999 19:34:29 -0600

I would like to second Alan's request. Our port of LINUX to the Indigo2 has
ground to an unceremonious halt for a lack of hardware documentation. I
understand that there are legal considerations. Would it not be possible to
release the documentation under some sort of non-disclosure agreement? As
we are writing code, if we do not :

1) include specific citations of the documentation within the comments, or
2) discuss those hardware matters deemed as proprietary within the comments

then it seems we could be able to satisfy any non-disclosure agreement SGI
would have while working under the disclosure constraint of the LINUX's
GPL. It seems there is an eminently workable way around this if reasonable
people can come together to discuss this reasonably.

Anyway, that's my naive 2 cents worth.

Mark

--
*********
Mark A. Zottola                       Alabama Research and Education
Network
119 Rust Research Center              Nichols Research Corporation
University of Alabama-Birmingham      VOICE:  (205) 934-3893
Birmingham, AL  35294                 EMAIL:  [email-masked]

---

From: "William J. Earl" <[email-masked]>
Date: Tue, 30 Mar 1999 18:33:10 -0800

> people can come together to discuss this reasonably.
...

     For serious developers, we can definitely provide the Indy documentation,
which covers quite a bit of Indigo R4000 and Indigo2, although there are 
differences in some places, notably due to those machines using an earlier
revision of the I/O controller (HPC).  We are still working on getting a 
more general policy on release of documentation, including selected bits
of low-level IRIX code (at least where license issues do not arise).  The
Indy situation was a special case, done some time ago.